Welcome

XPlite and 2000lite
Windows YOUR way!

http://www.litepc.com

Copyright © 2002-2004 LitePC Technologies Pty Ltd
All Rights Reserved

Welcome to a new way of configuring Windows! You now have the power! The power to set up YOUR machine the way YOU want to. The power to remove upgrades that go bad. The power to strip potential security and privacy threats out by the roots.

This page contains some basic principles to help you get the most from this amazingly powerful application.

· Windows File Protection XPlite disables Windows File Protection (WFP) so that you can remove any unwanted Windows operating system components. After your system is set up the way you like it, you can safely re-activate WFP.
· What goes out, goes back in! What if you change your mind and want to reinstall one of the system components that you previously uninstalled using XPlite? No problem! Each uninstaller is coupled with an equally powerful installer so you can recover uninstalled components.
· XP System Restore XPlite sets a system restore point before adding or removing features to guarantee you can 'roll-back' changes.
· Add/Remove is not symmetrical! Please remember that when you re-install from your CDROM you will get whichever version of the software component that is on your CDROM. With relentless upgrades you may not get the same version that you removed previously! XPlite allows you to 'roll-back' to older versions of software when Microsoft say you can not! In some cases the older version may suit YOU better, so we give you the choice.
· Upgrading Components Everybody loves a clean install. Sometimes, however, you will need to put back the original Windows component before you install the latest upgrade. This is because some installer packages look to find the original version files before proceeding.
· Setup and Uninstalling XPlite This program is entirely self-contained. There is no bulky installation program and no un-installation program. They are not needed. Just place the program where YOU want it. Please do keep your purchase information SAFE. You will need your activation key again if you ever reinstall windows or upgrade to a new operating system.
· Your license Please don't forget this is your private copy for your personal use only. If you require a site license or want to use our technology to distribute pre-configured systems then you need to obtain the appropriate license from http://www.litepc.com
· http://www.litepc.com. Our web site has resources for you. Don't forget to check out our expanding knowledge base and FAQ's


XPlite and 2000lite Quick Start
Previous Top Next

XPlite/2000lite Professional is entirely self-contained. There is no bulky installation program and no un-installation program. They are not needed. Just
place the program where YOU want it and run it.

1) Copy XPlite.exe or 2000lite.exe to your Windows desktop (or any location you prefer).
3) Double click on the program icon to start.
4) Read the License and Accept it.
5) On the Start tab you confirm that your operating system has been correctly identified
6) Go to the second tab and turn Windows File Protection OFF so that changes can be made to your system (requires reboot).
7) On the Add and Remove Windows Components tab you select (tick) all the features that you want installed on your system and deselect the features you want to remove. When you press the [Next] button the windows setup engine will be called to reconfigure your system to YOUR specifications!

Yes it really is that easy!


Introduction

XPlite and 2000lite Professional give YOU the power to set up YOUR machine the way YOU want! The power to remove unwanted features, the power to remove upgrades that go bad, the power to strip potential security and privacy threats out by the roots. LitePC Technologies products give people the ability to strip back the layers unused features to channel the power of the Windows OS into the tasks they bought the computer for in the first place.

XPlite\2000lite is a world class configuration utility that enhances Windows by creating many modular operating system components that you can choose to install or remove from your system. Pick and choose which features YOU need or YOU want! More than a powerful configuration utility - 2000lite gives you amazing control to repair Windows as well. If a particular technology gives you trouble you can completely remove it, and then reinstall it as cleanly as the day Windows was first installed on your computer.

The ultimate security system? There can be little argument that certain Microsoft technologies have proven themselves to put your privacy, security and system stability at risk. The sheer number of Windows Update security fixes that are released on an almost daily basis testify to this fact. You can choose alternate technologies to avoid the security risks, yet the flawed components remain on your system unused, until the next irresponsible hacker or malicious script takes advantage of the situation. Everybody should be running with the latest patches and Service Packs - but is this enough? 2000lite allows you to completely remove features that might put you at risk. For example - many email viruses use Outlook Express and the Windows Address Book to invade your privacy and that of your associates whose addresses you have stored. If you choose to use an alternate email system then XPlite\2000lite allows you to totally remove Outlook Express and the Windows Address Book from your system. Now you *know* you are protected once and for all!

Modular by design! The driving force behind our products is the firm belief that an operating system should stand separate from the applications being run on it. LitePC Technologies believe an operating system should be a transparent layer that interfaces software components with your hardware. For the greatest flexibility, the software layer should be modular so that components can be removed or installed at will by the users or administrators without compromising the integrity of the underlying operating system. Each of our uninstaller routines is coupled with an equally powerful installer so you can recover uninstalled components. It is as easy as ticking a check box.


Reduced Footprint

The latest developments in XPLite now see clean installations of Windows XP in under 350MB and Windows 2000 approaching less than 200 MB (excluding paging file) with much smaller memory requirements! These sizes are obtained simply by running XPLite/2000Lite on a fresh install of windows. Enterprising developers should easily be able to strip out additional log files, INF files and unused drivers to reduce the footprint by another 50MB or so. If your goal is to run a dedicated task in as little storage as possible - then look no further than XPlite.


Activation Code and License

When you purchase our software we send you three critical pieces of information:

· Your License e.g. 1234-5678-9012
· Your Password e.g. pwhejssfsa
· Your Activation Code e.g. asj3389ssd12p2

Your Activation Code validates your name, license number and number of users in your license and is used to start the software. Should you ever lose your activation code you can log into the litepc.com website using your license number and password and you can retrieve your Activation Code by email.

Your License and password are used to download LitePC Technologies software, to access technical support and can also be used to get discounts on other products.

note: Users sometimes mistakenly use their activation code as their password to try an log in to their account on LitePC.com. This will not work. In the browser login dialog you must use your License number as the username and password as the password.

Log in to your account on LitePC.com now
Recover a lost License

You must not redistribute LitePC Technologies software to anyone or allow anyone else to access your secure download area using your license information.

Licenses, passwords or Activation Keys found "circulating" on the internet will result in your License being revoked immediately and your download access removed from the servers. Each License and Activation Key is unique for each user. It is your responsibility to keep this information private. If your license "gets out" it is your fault and you will forfeit your access for future downloads and upgrades. Please keep your license secure.

Our computer programs are protected by copyright law and international treaties. Unauthorized reproduction or distribution of all or parts of our programs may result in prosecution.

Please don't forget this is your private copy for your personal use only. If you require a site license or want to use our technology to distribute pre-configured systems then you need to obtain the appropriate license from http://www.litepc.com.


Product Updates

You can check for updated software using the button on the ABOUT tab of the XPlite program.
Your license number and current version number are encrypted and sent to the LitePC.com server. No personal information is transmitted.

Login to your account on the litepc.com website for updates and to administer your account.

http://www.litepc.com/login.html


Support

Support Options

Please see our website for up-to-date support details.

http://www.litepc.com/support.html

Support is provided free of charge to valid license holders after logging in to the support desk.


Program Features

helpproperties User Preferences and Log File: Opens the user preference tab with your program options, license agreement and log file.

helphelp What's This? Help: Get help for the program interface features by clicking on this button then click on the item you want help for.

XPlite and 2000lite have a clean intuitive interface with separate program tabs used to separate the core functions.

· Start Tab - operating system information.
· Windows File Protection Tab - switch to disable Windows file protection and configure operating system file caches (optional)
· Add/Remove Tab - select features you want installed in your system by ticking a checkbox. Clear the checkbox to remove features.
· About Tab - operating system information, web based upgrade check.


Windows Source Files

When installing optional components, XP\2000lite intelligently knows which files have been updated by Microsoft Service packs. Your Operating system will have a cache of Service Pack installation files occupying a considerable amount of space in your Windows folder. If you remove these you will need to have a local source of service pack files available for your operating system.

If you purchased 2000lite on CDROM then we have included the most recent Service Pack (at the time of purchase) on the CDROM. You can also download the full network installation from Microsoft (Windows 2000 SP4 is over 100MB). Use the XP\2000lite Preferences Dialog to set the correct path to your Service Pack source files. If you have applied service packs you should *NOT* simply point the Service Pack Source path to your regular Windows 2000 CDROM as this may result in downgrading of system files on your computer and potentially the re-introduction of bugs that were fixed by Microsoft in the Service Packs.

If you find the setup engine is asking you for the locations of your setup files then you should set the location in the preferences tab. The ideal source for files of the same Service Pack level as your current installation is a single "slip-streamed" CDROM that is of the same level so that you do not have to juggle between the original version, and the Service Pack files. Simply point both paths to the single slipstreamed CDROM that has the appropriate file versions on it.


System Restore

XPlite is 100% compatible with Windows XP System Restore. You can remove EVERY basic feature in XPlite and still have the full protection of System Restore provided you have allowed enough disk space for the changes to be stored (The disk space setting is adjustable under the My Computer properties System Restore tab). If you find something wrong after configuring your system just restore to an earlier time. XPlite will set a restore point before making any changes to your system and it will warn you if the restore point can not be set.

Note: If you remove certain Advanced Features you will effectively remove System Restore or prevent it from saving a restore point (older restore points are maintained). You will be notified if you select a component that impacts on System Restore.


Windows File Protection

XPlite gives you full command over the Windows File Protection (WFP) feature. Windows File Protection is a powerful Windows feature that prevents system files from being overwritten by poorly designed application and driver installers. However the side effect is that users are prevented from controlling their own systems. XPlite has been specifically engineered to work with the WFP feature so that changes to the system are monitored and continually protected afterwards.

XPlite must disable WFP in order to customize the operating system, but after the system is set up the way you want you can re-enable WFP and continue with a protected operating system.

You can read more about Windows File Protection on Microsoft's web site:
http://msdn.microsoft.com/library/en-us/wfp/setup/about_windows_file_protection.asp
http://support.microsoft.com/default.aspx?scid=kb;222193


Network Installation

XPlite and 2000lite contain a number of Switches for System Administrators designed to assist with the use of XPlite and 2000lite in networked situations where you want to configure multiple machines remotely and without registering the software on each machine. If an unattended network installation is required the remote systems must be configured to automatically log onto the network so the source drive on the network is available to the remote operating system following a reboot. A reboot is required whenever Windows File Protection is enabled or disabled. A future version may complete the installation as a system service to enable configuration when no users are logged on.

Steps involved are:

1. Set up your Windows Installation source files on a network share that is accessible by all workstations within the network. The installation files should be at the latest service pack level for your system.

2. Run XPlite on a single test workstation and edit the user preferences of the test workstation so the Windows Source location fields are pointing to the network share that you set up previously. The source paths should be in Universal Naming Convention (UNC) format.

e.g. \\Server\Share\WinXPInstallFiles

If you are using the installation source machine as your test machine you may need to edit the configuration file later in a text editor to ensure the source locations are in UNC format.

3. Run XPlite on a single test workstation with the /r switch to save the license information and user preferences into a XPlite.CFG or 2000lite.CFG file that is created in the application folder. You can edit the .CFG file with a text editor to confirm the settings or if you need to change the Source Paths into UNC format.

When XPlite finds the CFG file in the folder it is running from it will read and save all options to the CFG file and not to the system registry. This allows you to run XPlite from a network share or CDROM without having to register the software on each machine.

4. Set up the component structure that you want in the Add\Remove Components tab and save the component profile (using the profile button above the component tree). Your chosen options will be saved to your XPlite.CFG or 2000lite.CFG file that you created in step 3.

5. Most installation will require the following command to be executed on each workstation.

xplite.exe /o:MySavedProfile /l /auto /w

· The /l switch causes all log files to be generated in the source folder that contains XPlite.exe.
· /o:MySavedProfile loads the desired profile
· /auto cases the remote system to automatically disable Windows File Protection, reboot, make the desired changes the reboot again to complete any installations and restore Windows File Protection to the initial state.
· /w reboot the machine and re-enable Windows File Protection (optional).

6. You may want to supply specific user credentials

xplite.exe /o:MySavedProfile /l /auto /w /u:AdminUsername /p:AdminPass /d:domain

· /u:AdminUsername /p:AdminPass Administrator User credentials with access to the workstation and source files on a network share on /d:domain.

Users on the workstation that is being configured will see the Windows Setup Engine (sysocmgr.exe) but the main XPlite interface will not be seen.

If the network is mixed Windows XP and Windows 2000 machines you just need to create the separate 2000lite.CFG file on your Windows 2000 machines. You can run the same executable for both Windows XP and for Windows 2000 and the appropriate CFG file will be loaded for each operating system.

also see Switches for System Administrators.


Switches for System Administrators

Syntax:

XPlite.exe [/r] [/o:<options_profile>] [/l] [/w] [/u:<username> /p:<password>] [/d:<domain>]

e.g. xplite.exe /l /o:myprofile
xplite.exe /l /o:myprofile /w /auto /u:Administrator /p:h@v3@b33r /d:mydomain

/r

Remote configuration. Saves all your registry settings and license information into the APPNAME.CFG file in the application folder so that multiple workstations can be configured without entering license information for each workstation. The CFG file resides in the same folder as the application EXE file and can be placed on a CDROM or network share.

/o:<options_profile>

Start with a previously saved user options profile <options_profile>. User profiles are saved on the Add\Remove tab. Using this switch the options tree will open with the desired configuration instead of the current configuration. Just hit the add/remove button to complete the task of reconfiguring the system.

/l

Save all log files to the application folder instead of the system windows folder. The computer name is added to the log name so that logs from multiple computers can be saved into the one application folder (typically a network share).

/w

Windows File Protection on. The system will reboot after the setup engine finishes configuring the machine to ensure that Windows File Protection is re-enabled. Without this switch a reboot may still be occur to install and uninstall features that have system files that are locked by the operating system.

/auto

This switch is only available to users with multi-seat licenses or the free trial software.

Used in conjunction with /o: With /auto the program will load the custom profile and completing the configuration process. If the /w swith is also set the system will be guaranteed to reboot to ensure Windows File Protection is activated This provides a complete unttended configuration process. For example you could use the /r switch to save licensing info then set XPlite.exe and XPlite.cfg up on a network share to use the command string XPlite /l /o:myprofile /auto to automatically configure the workstation. For mass configuration you could use remote administration tools to simultanously inject the unattended startup parameters into the runonce key of the system registry on all available workstations and reconfigure them during the next bootup. The installation process may require the system to reboot a second time after power on if in-use files need to be replaced or uninstalled. The /w switch basically forces this reboot to happen whether or not in-use files are involved.

/u:<username>
/p:<password>
/d:<domain>

User credentials that the setup engin will run under. If both /u:<username> and /p:<password> are not specified the setup engine will run under the current user account. /d:<domain> is optional. If not specified the current machine name will be substituted automatically. If the computer is not a member of a domain the current computer name for the machine should be used. Passwords are plain text. Note that if your password contains non-alphanumeric characters such as ^ you may not be able to use a cmd window to start XPlite. The ^ is ignored and your user authentication fails. Make a shortcut or use the run box on the start menu instead.


Advanced Features

XPlite\2000lite is an extremely powerful application that has the capability to remove core system files, services and deeply rooted registry trees.

We have grouped some of the more "serious" components into an Advanced Features section of the Add\Remove options tree. To enable the advanced features check the checkbox in the user preference tab. Be very careful. While you will not crash your machine, you may loose a function that you didn't know you needed if you remove too many of the advanced features. For example it is possible to eliminate all microsoft networking and you will no longer be able to share files between machines on a Microsoft network. If in doubt - leave the advanced features installed. It is an easy process to re-install features if you think you removed something you need. Just tick the box and let XPlite re-install the feature as if it was installed for the first time.


Languages

Beginning with version 1.2 the XPlite and 2000lite interface is fully UNICODE enabled supporting double-byte graphic characters. Currently the programs only ships with the English language module but other languages may be available on the litepc.com web site.

The modules are simple UTF8 encoded text files that can be edited by the end user.

· Check LitePC.com for new language modules


Keyboard Shortcuts

XPlite and 2000lite use the standard Windows navigation keys.

TAB changes the focus to the next control

SPACE selects or deselects checkboxes and items in the Add/Remove options tree.

ESC When veiwing the Add/Remove Components tab opens the control menu to allow access to the controls that are located above the options tree.
Reload
Force Removal
Show All (expand tree)
Collapse All
Load Profile
Save Profile
Delete Profile

F1 Context Sensitive Help

Ctrl-P open/close the User Preferences and System Log dialogs.


Add/Remove Features

XPlite and 2000lite split Windows into many removable options.

Our goal is to remove each component to leave your system as if that component was never installed in the first place. Services are stopped, files are unregistered from the system, residual registry entries are removed and the files are then permanently deleted.

Similarly for installing components. We aim to reinstall the component to the state it was after a clean install of Windows.


Which Features can you remove?

XPlite and 2000lite give you the power to remove many parts of Windows, and only you can decide for certain whether or not you need a particular component.

A brief (very brief!) description is provided on the Add/Remove Tab and we are aware that people are looking for more detail on each of the options along with a recommendation whether to remove or not. We are looking to provide a more detailed reference resource in the future in both this help file and on our web site so that you can educate yourself on the various Windows technologies and make an informed choice for yourself knowing what you need your computer to do.

Until we have a detailed resource ready the best strategy is:

1. If you are uncertain: leave the component installed.
2. If you are adventurous: remove the component as you can always reinstall it later if you find something on your system has "broken".
3. Use the internet to search for more information. Microsofts knowledge base is a great start but there is a lot of information in the wider community. use the component name or description terms in your search.


Acknowledgements
Previous Top

LitePC Technologies would like to thank the following people for their contributions to this software:

Wayne Langlois from Diamond Computer Systems provided invaluable assistance with the graceful shutdown of Windows File protection.

Mike Kelly, Rudi Brnot, and Tobias Gerschner for pre-beta development testing.

The following Translators for their language modules:
Luca Lazza - Italian
Marc Boullenger - French
Michael Holmberg - Swedish
Tim Kirchhoff - German
Yeray González - Spanish


.topic 10000

XPlite and 2000lite
Windows YOUR way!

http://www.litepc.com

Copyright © 2002-2004 LitePC Technologies Pty Ltd
All Rights Reserved

Welcome to a new way of configuring Windows! You now have the power! The power to set up YOUR machine the way YOU want to. The power to remove upgrades that go bad. The power to strip potential security and privacy threats out by the roots.

This page contains some basic principles to help you get the most from this amazingly powerful application.

Windows File Protection XPlite disables Windows File Protection (WFP) so that you can remove any unwanted Windows operating system components. After your system is set up the way you like it, you can safely re-activate WFP.
What goes out, goes back in! What if you change your mind and want to reinstall one of the system components that you previously uninstalled using XPlite? No problem! Each uninstaller is coupled with an equally powerful installer so you can recover uninstalled components.
 XP System Restore XPlite sets a system restore point before adding or removing features to guarantee you can 'roll-back' changes.
Add/Remove is not symmetrical! Please remember that when you re-install from your CDROM you will get whichever version of the software component that is on your CDROM. With relentless upgrades you may not get the same version that you removed previously! XPlite allows you to 'roll-back' to older versions of software when Microsoft say you can not! In some cases the older version may suit YOU better, so we give you the choice.
Upgrading Components Everybody loves a clean install. Sometimes, however, you will need to put back the original Windows component before you install the latest upgrade. This is because some installer packages look to find the original version files before proceeding.
Setup and Uninstalling XPlite This program is entirely self-contained. There is no bulky installation program and no un-installation program. They are not needed. Just place the program where YOU want it. Please do keep your purchase information SAFE. You will need your activation key again if you ever reinstall windows or upgrade to a new operating system.
Your license Please don't forget this is your private copy for your personal use only. If you require a site license or want to use our technology to distribute pre-configured systems then you need to obtain the appropriate license from http://www.litepc.com
http://www.litepc.com. Our web site has resources for you. Don't forget to check out our expanding knowledge base and FAQ's

.topic 14000
XPlite/2000lite Professional is entirely self-contained. There is no bulky installation program and no un-installation program. They are not needed. Just
place the program where YOU want it and run it.

1)	Copy XPlite.exe or 2000lite.exe to your Windows desktop (or any location you prefer).
3)	Double click on the program icon to start.
4)	Read the License and Accept it.
5)	On the Start tab you confirm that your operating system has been correctly identified
6)	Go to the second tab and turn Windows File Protection OFF so that changes can be made to your system (requires reboot).
7)	On the Add and Remove Windows Components tab you select (tick) all the features that you want installed on your system and deselect the features you want to remove.  When you press the [Next] button the windows setup engine will be called to reconfigure your system to YOUR specifications!

Yes it really is that easy!

.topic 15000
XPlite and 2000lite Professional give YOU the power to set up YOUR machine the way YOU want! The power to remove unwanted features, the power to remove upgrades that go bad, the power to strip potential security and privacy threats out by the roots.  LitePC Technologies products give people the ability to strip back the layers unused features to channel the power of the Windows OS into the tasks they bought the computer for in the first place.

XPlite\2000lite is a world class configuration utility that enhances Windows by creating many modular operating system components that you can choose to install or remove from your system.  Pick and choose which features YOU need or YOU want!  More than a powerful configuration utility - 2000lite gives you amazing control to repair Windows as well.  If a particular technology gives you trouble you can completely remove it, and then reinstall it as cleanly as the day Windows was first installed on your computer.

The ultimate security system?  There can be little argument that certain Microsoft technologies have proven themselves to put your privacy, security and system stability at risk.  The sheer number of Windows Update security fixes that are released on an almost daily basis testify to this fact.  You can choose alternate technologies to avoid the security risks, yet the flawed components remain on your system unused, until the next irresponsible hacker or malicious script takes advantage of the situation.  Everybody should be running with the latest patches and Service Packs - but is this enough?  2000lite allows you to completely remove features that might put you at risk.  For example - many email viruses use Outlook Express and the Windows Address Book to invade your privacy and that of your associates whose addresses you have stored.  If you choose to use an alternate email system then XPlite\2000lite allows you to totally remove Outlook Express and the Windows Address Book from your system.  Now you *know* you are protected once and for all!

Modular by design!  The driving force behind our products is the firm belief that an operating system should stand separate from the applications being run on it. LitePC Technologies believe an operating system should be a transparent layer that interfaces software components with your hardware. For the greatest flexibility, the software layer should be modular so that components can be removed or installed at will by the users or administrators without compromising the integrity of the underlying operating system.  Each of our uninstaller routines is coupled with an equally powerful installer so you can recover uninstalled components. It is as easy as ticking a check box.

.topic 24000
The latest developments in XPLite now see clean installations of Windows XP in under 350MB and Windows 2000 approaching less than 200 MB (excluding paging file) with much smaller memory requirements! These sizes are obtained simply by running XPLite/2000Lite on a fresh install of windows. Enterprising developers should easily be able to strip out additional log files, INF files and unused drivers to reduce the footprint by another 50MB or so. If your goal is to run a dedicated task in as little storage as possible - then look no further than XPlite.

.topic 20000
When you purchase our software we send you three critical pieces of information:

Your License 		e.g.  1234-5678-9012
Your Password 	e.g.  pwhejssfsa
Your Activation Code 	e.g.   asj3389ssd12p2

Your Activation Code validates your name, license number and number of users in your license and is used to start the software.  Should you ever lose your activation code you can log into the litepc.com website using your license number and password and you can retrieve your Activation Code by email.

Your License and password are used to download LitePC Technologies software, to access technical support and can also be used to get discounts on other products.

note:  Users sometimes mistakenly use their activation code as their password to try an log in to their account on LitePC.com.  This will not work.  In the browser login dialog you must use your License number as the username and password as the password.

Log in to your account on LitePC.com now
Recover a lost License

You must not redistribute LitePC Technologies software to anyone or allow anyone else to access your secure download area using your license information.

Licenses, passwords or Activation Keys found "circulating" on the internet will result in your License being revoked immediately and your download access removed from the servers.  Each License and Activation Key is unique for each user.  It is your responsibility to keep this information private.  If your license "gets out" it is your fault and you will forfeit your access for future downloads and upgrades.  Please keep your license secure.

Our computer programs are protected by copyright law and international treaties.  Unauthorized reproduction or distribution of all or parts of our programs may result in prosecution.

Please don't forget this is your private copy for your personal use only. If you require a site license or want to use our technology to distribute pre-configured systems then you need to obtain the appropriate license from http://www.litepc.com.

.topic 21000
You can check for updated software using the button on the ABOUT tab of the XPlite program.
Your license number and current version number are encrypted and sent to the LitePC.com server.  No personal information is transmitted.

Login to your account on the litepc.com website for updates and to administer your account.

http://www.litepc.com/login.html

.topic 22000

Please see our website for up-to-date support details.

http://www.litepc.com/support.html

Support is  provided free of charge to valid license holders after logging in to the support desk.

.topic 25000
    User Preferences and Log File:  Opens the user preference tab with your program options, license agreement and log file.

   What's This? Help:  Get help for the program interface features by clicking on this button then click on the item you want help for.

XPlite and 2000lite have a clean intuitive interface with separate program tabs used to separate the core functions.

Start Tab  - operating system information.
Windows File Protection Tab - switch to disable Windows file protection and configure operating system file caches (optional)
Add/Remove Tab - select features you want installed in your system by ticking a checkbox. Clear the checkbox to remove features.
About Tab -  operating system information, web based upgrade check.

.topic 17000
When installing optional components, XP\2000lite intelligently knows which files have been updated by Microsoft Service packs.  Your Operating system will have a cache of Service Pack installation files occupying a considerable amount of space in your Windows folder.  If you remove these you will need to have a local source of service pack files available for your operating system.

If you purchased 2000lite on CDROM then we have included the most recent Service Pack (at the time of purchase) on the CDROM.  You can also download the full network installation from Microsoft (Windows 2000 SP4 is over 100MB).  Use the XP\2000lite Preferences Dialog to set the correct path to your Service Pack source files.  If you have applied service packs you should *NOT* simply point the Service Pack Source path to your regular Windows 2000 CDROM as this may result in downgrading of system files on your computer and potentially the re-introduction of bugs that were fixed by Microsoft in the Service Packs.

If you find the setup engine is asking you for the locations of your setup files then you should set the location in the preferences tab.  The ideal source for files of the same Service Pack level as your current installation is a single "slip-streamed" CDROM that is of the same level so that you do not have to juggle between the original version, and the Service Pack files.  Simply point both paths to the single slipstreamed CDROM that has the appropriate file versions on it.

.topic 16000
XPlite is 100% compatible with Windows XP System Restore.  You can remove EVERY basic feature in XPlite and still have the full protection of System Restore provided  you have allowed enough disk space for the changes to be stored (The disk space setting is adjustable under the My Computer properties System Restore tab).  If you find something wrong after configuring your system just restore to an earlier time.  XPlite will set a restore point before making any changes to your system and it will warn you  if the restore point can not be set.

Note:  If you remove certain Advanced Features you will effectively remove System Restore or prevent it from saving a restore point (older restore points are maintained).  You will be notified if you select a component that impacts on System Restore.

.topic 11000
XPlite gives you full command over the Windows File Protection (WFP) feature.  Windows File Protection is a powerful Windows feature that prevents system files from being overwritten by poorly designed application and driver installers.  However the side effect is that users are prevented from controlling their own systems.  XPlite has been specifically engineered to work with the WFP feature so that changes to the system are monitored and continually protected afterwards.

XPlite must disable WFP in order to customize the operating system, but after the system is set up the way you want you can re-enable WFP and continue with a protected operating system.

You can read more about Windows File Protection on Microsoft's web site:
http://msdn.microsoft.com/library/en-us/wfp/setup/about_windows_file_protection.asp
http://support.microsoft.com/default.aspx?scid=kb;222193

.topic 30000
XPlite and 2000lite contain a number of Switches for System Administrators designed to assist with the use of XPlite and 2000lite in networked situations where you want to configure multiple machines remotely and without registering the software on each machine.   If an unattended network installation is required the remote systems must be configured to automatically log onto the network so the source drive on the network is available to the remote operating system following a reboot.  A reboot is required whenever Windows File Protection is enabled or disabled.  A future version may complete the installation as a system service to enable configuration when no users are logged on.

Steps involved are:

1.	Set up your Windows Installation source files on a network share that is accessible by all workstations within the network.  The installation files should be at the latest service pack level for your system.

2.	Run XPlite on a single test workstation and edit the user preferences of the test workstation so the Windows Source location fields are pointing to the network share that you set up previously.  The source paths should be in  Universal Naming Convention (UNC) format.

    e.g. \\Server\Share\WinXPInstallFiles

    If you are using the installation source machine as your test machine you may need to edit the configuration file later in a text editor to ensure the source locations are in UNC format.

3.	Run XPlite on a single test workstation  with the /r switch to save the license information and user preferences into a XPlite.CFG or 2000lite.CFG file that is created in the application folder.  You can edit the .CFG file with a text editor to confirm the settings or if you need to change the Source Paths into UNC format.

    When XPlite finds the CFG file in the folder it is running from it will read and save all options to the CFG file and not to the system registry.  This allows you to run XPlite from a network share or CDROM without having to register the software on each machine.

4.	Set up the component structure that you want in the Add\Remove Components tab and  save the component profile (using the profile button above the component tree).  Your chosen options will be saved  to your XPlite.CFG or 2000lite.CFG file that you created in step 3.

5.	Most installation will require the following command to be executed on each workstation.

xplite.exe /o:MySavedProfile /l /auto /w

The /l switch causes all log files to be generated in the source folder that contains XPlite.exe.
/o:MySavedProfile loads the desired profile
/auto cases the remote system to automatically disable Windows File Protection, reboot, make the desired changes the reboot again to complete any installations and restore Windows File Protection to the initial state.
/w reboot the machine and re-enable Windows File Protection (optional).

6.	You may want to supply specific user credentials

 xplite.exe /o:MySavedProfile /l /auto /w /u:AdminUsername /p:AdminPass /d:domain

/u:AdminUsername /p:AdminPass Administrator User credentials with access to the workstation and source files on a  network share on  /d:domain.

    Users on the workstation that is being configured will see the Windows Setup Engine (sysocmgr.exe) but the main XPlite interface will not be seen.

If the network is mixed Windows XP and Windows 2000 machines you just need to create the separate 2000lite.CFG file on your Windows 2000 machines.  You can run the same executable for both Windows XP and for Windows 2000 and the appropriate CFG file will be loaded for each operating system.

also see Switches for System Administrators.

.topic 19000
Syntax:

XPlite.exe [/r] [/o:<options_profile>] [/l] [/w] [/u:<username> /p:<password>] [/d:<domain>]

e.g.	xplite.exe  /l  /o:myprofile
    xplite.exe  /l  /o:myprofile  /w  /auto  /u:Administrator  /p:h@v3@b33r  /d:mydomain

/r

    Remote configuration. Saves all your registry settings and license information into the APPNAME.CFG file in the application folder so that multiple workstations can be configured without entering license information for each workstation. The CFG file resides in the same folder as the application EXE file and can be placed on a CDROM or network share.

/o:<options_profile>

    Start with a previously saved user options profile <options_profile>. User profiles are saved on the Add\Remove tab. Using this switch the options tree will open with the desired configuration instead of the current configuration. Just hit the add/remove button to complete the task of reconfiguring the system.

/l

    Save all log files to the application folder instead of the system windows folder. The computer name is added to the log name so that logs from multiple computers can be saved into the one application folder (typically a network share).

/w

    Windows File Protection on.  The system will reboot after the setup engine finishes configuring the machine to ensure that Windows File Protection is re-enabled.  Without this switch a reboot may still be occur  to install and uninstall features that have system files that are locked by the operating system.

/auto

     This switch is only available to users with multi-seat licenses or the free trial software.

    Used in conjunction with /o: With /auto the program will load the custom profile and completing the configuration process. If the /w swith is also set the system will be guaranteed to reboot to ensure Windows File Protection is activated  This provides a complete unttended configuration process. For example you could use the /r switch to save licensing info then set XPlite.exe and XPlite.cfg up on a network share to use the command string XPlite /l /o:myprofile /auto to automatically configure the workstation. For mass configuration you could use remote administration tools to simultanously inject the unattended startup parameters into the runonce key of the system registry on all available workstations and reconfigure them during the next bootup.  The installation process may require the system to reboot a second time after power on if in-use files need to be replaced or uninstalled.  The /w switch basically forces this reboot to happen whether or not in-use files are involved.

/u:<username>
/p:<password>
/d:<domain>

    User credentials that the setup engin will run under.  If both /u:<username> and /p:<password> are not specified the setup engine will run under the current user account.  /d:<domain> is optional.  If not specified the current machine name will be substituted automatically.  If the computer is not a member of a domain the current computer name for the machine should be used.  Passwords are plain text.  Note that if your password contains non-alphanumeric characters such as ^ you may not be able to use a cmd window to start XPlite.  The ^ is ignored and your user authentication fails.  Make a shortcut or use the run box on the start menu instead.

.topic 18000
XPlite\2000lite is an extremely powerful application that has the capability to remove core system files, services and deeply rooted registry trees.

We have grouped some of the more "serious" components into an Advanced Features section of the Add\Remove options tree.  To enable the advanced features check the checkbox in the user preference tab.  Be very careful.  While you will not crash your machine, you may loose a function that you didn't know you needed if you remove too many of the advanced features.  For example it is possible to eliminate all microsoft networking and you will no longer be able to share files between machines on a Microsoft network.  If in doubt - leave the advanced features installed. It is an easy process to re-install features if you think you removed something you need.  Just tick the box  and let XPlite re-install the feature as if it was installed for the first time.

.topic 23000
Beginning with version 1.2 the XPlite and 2000lite interface is fully UNICODE enabled supporting double-byte graphic characters.  Currently the programs only ships with the English language module but other languages may be available on the litepc.com web site.

The modules are simple UTF8 encoded text files that can be edited by the end user.

Check LitePC.com for new language modules

.topic 29000
XPlite and 2000lite use the standard Windows navigation keys.

TAB 		changes the focus to the next control

SPACE	selects or deselects checkboxes and items in the Add/Remove options tree.

ESC 		When veiwing the Add/Remove Components tab opens the control menu to allow access to the controls that are located above the options tree.
            Reload
            Force Removal
            Show All (expand tree)
            Collapse All
            Load Profile
            Save Profile
            Delete Profile

F1 		Context Sensitive Help

Ctrl-P 	open/close the User Preferences and System Log dialogs.

.topic 27000
XPlite and 2000lite split Windows into many removable options.

Our goal is to remove each component to leave your system as if that component was never installed in the first place.  Services are stopped, files are unregistered from the system, residual registry entries are removed and the files are then permanently deleted.

Similarly for installing components.  We aim to reinstall the component to the state it was after a clean install of Windows.

.topic 28000
XPlite and 2000lite give you the power to remove many parts of Windows, and only you can decide for certain whether or not you need a particular component.

A brief (very brief!) description is provided on the Add/Remove Tab and we are aware that people are looking for more detail on each of the options along with a recommendation whether to remove or not.  We are looking to provide a more detailed reference resource in the future in both this help file and on our web site so that you can educate yourself on the various Windows technologies and make an informed choice for yourself knowing what you need your computer to do.

Until we have a detailed resource ready the best strategy is:

1.	If you are uncertain: leave the component installed.
2.	If you are adventurous: remove the component as you can always reinstall it later if you find something on your system has "broken".
3.	Use the internet to search for more information.  Microsofts knowledge base is a great start but there is a lot of information in the wider community.  use the component name or description terms in your search.

.topic 31000
LitePC Technologies would like to thank the following people for their contributions to this software:

Wayne Langlois from Diamond Computer Systems provided invaluable assistance with the graceful shutdown of Windows File protection.

Mike Kelly, Rudi Brnot, and Tobias Gerschner for pre-beta development testing.

The following Translators for their language modules:
Luca Lazza - Italian
Marc Boullenger - French
Michael Holmberg - Swedish
Tim Kirchhoff - German
Yeray González - Spanish